Heatmaps
GET https://basicwebstats.com/api/heatmaps/
curl --request GET \
--url 'https://basicwebstats.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://basicwebstats.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Beschrijving |
|---|---|---|
| website_id | Optioneel Geheel getal | |
| user_id | Optioneel Geheel getal | |
| is_enabled | Optioneel Geheel getal | Toegestane waarden: 0, 1 |
| search | Optioneel String | De zoekterm. |
| search_by | Optioneel String | Het veld waarin je zoekt. Toegestane waarden: name, path. |
| datetime_field | Optioneel String | Toegestane waarden: datetime, last_datetime |
| datetime_start | Optioneel String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Optioneel String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Optioneel String | Het veld waarop je de resultaten sorteert. Toegestane waarden: heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime. |
| order_type | Optioneel String | De sorteervolgorde. Gebruik ASC voor oplopend en DESC voor aflopend. |
| page | Optioneel Geheel getal | Het paginanummer waarvan je resultaten wilt. Standaardwaarde: 1. |
| results_per_page | Optioneel Geheel getal | Het aantal resultaten per pagina. Toegestane waarden: 10, 25, 50, 100, 250, 500, 1000. Standaardwaarde: 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 17:07:02",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://basicwebstats.com/api/heatmaps?page=1",
"last": "https://basicwebstats.com/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://basicwebstats.com/api/heatmaps?page=1"
}
}
GET https://basicwebstats.com/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://basicwebstats.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://basicwebstats.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 17:07:02",
"last_datetime": null
}
}
GET https://basicwebstats.com/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://basicwebstats.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://basicwebstats.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Beschrijving |
|---|---|---|
| snapshot_type | Optioneel String | Toegestane waarden: desktop, tablet, mobile |
| type | Optioneel String | Toegestane waarden: clicks, scrolls |
| start_date | Optioneel String | Begindatum in de notatie Y-m-d. |
| end_date | Optioneel String | Einddatum in de notatie Y-m-d. |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://basicwebstats.com/api/heatmaps
| Parameters | Details | Beschrijving |
|---|---|---|
| website_id | Verplicht Geheel getal | |
| name | Verplicht String | |
| path | Optioneel String | |
| is_enabled | Optioneel Geheel getal | Toegestane waarden: 0, 1 |
curl --request POST \
--url 'https://basicwebstats.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://basicwebstats.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 17:07:02",
"last_datetime": null
}
}
POST https://basicwebstats.com/api/heatmaps/{heatmap_id}
| Parameters | Details | Beschrijving |
|---|---|---|
| name | Optioneel String | |
| is_enabled | Optioneel Geheel getal | Toegestane waarden: 0, 1 |
curl --request POST \
--url 'https://basicwebstats.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://basicwebstats.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 17:07:02",
"last_datetime": "2026-09-12 17:07:02"
}
}
DELETE https://basicwebstats.com/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://basicwebstats.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://basicwebstats.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \